<?php


return  
    [
        'model' => [
            'model' => \Ssd\Ssd\Models\Lufuno::class,
            'table' => 'ssd_ssd_lufunos',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'created_at', 'updated_at'],
            'appends' => [],
            'fillable' => [],
            'translatables' => [],
            'upload_folder' => 'ssd/lufuno',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
            
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'search' => [
            
        ],

        'list' => [
            
        ],

        'form' => [
            
        ],

        'urls' => [
            'new' => [
                'url' => 'ssd/lufuno/new',
                'method' => 'GET',
            ],
            'create' => [
                'url' => 'ssd/lufuno/create',
                'method' => 'GET',
            ],
            'store' => [
                'url' => 'ssd/lufuno',
                'method' => 'POST',
            ],
            'update' => [
                'url' => 'ssd/lufuno',
                'method' => 'PUT',
            ],
            'list' => [
                'url' => 'ssd/lufuno',
                'method' => 'GET',
            ],
            'delete' => [
                'url' => 'ssd/lufuno',
                'method' => 'DELETE',
            ],
        ],
        'order' => [
            'created_at' => 'ssd::lufuno.label.created_at',
            'name' => 'ssd::lufuno.label.name',
            'status' => 'ssd::lufuno.label.status',
        ],
        'groups' => [
            'main' => 'ssd::lufuno.groups.main',
            'details' => 'ssd::lufuno.groups.details',
            'images' => 'ssd::lufuno.groups.images',
            'settings' => 'ssd::lufuno.groups.settings',
        ],
        'controller' => [
            'provider' => 'Ssd',
            'package' => 'Ssd',
            'module' => 'Lufuno',
        ],

        
        
    ];
