<?php

namespace Ssd\Ssd\Seeders;

use DB;
use Illuminate\Database\Seeder;

class LufunoTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('ssd_ssd_lufunos')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'ssd.ssd.lufuno.view',
                'name'      => 'View Lufuno',
            ],
            [
                'slug'      => 'ssd.ssd.lufuno.create',
                'name'      => 'Create Lufuno',
            ],
            [
                'slug'      => 'ssd.ssd.lufuno.edit',
                'name'      => 'Update Lufuno',
            ],
            [
                'slug'      => 'ssd.ssd.lufuno.delete',
                'name'      => 'Delete Lufuno',
            ],
            
            
                    ]);

        DB::table('menus')->insert([
        
            // Admin menu
            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/ssd/lufuno',
                'name'        => 'Lufuno',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],
            
            // User menu.
            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/ssd/lufuno',
                'name'        => 'Lufuno',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            // Public menu.
            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'lufuno',
                'name'        => 'Lufuno',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Ssd',
                'module'    => 'Lufuno',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'ssd.ssd.lufuno.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
